API docs

Jobs

Get job postings for a company.

Returns a paginated list of job postings published by the specified company.

Endpoint

GET /api/v1/companies/:company_id/jobs

Parameters

ParameterTypeInDescription
company_idintegerpathThe unique identifier of the company.
pageintegerqueryPage number (default: 1).
limitintegerqueryRecords per page (default: 100).

Code Examples

Get job postings

import requests

url = 'https://statsnet.co/api/v1/companies/12345/jobs'
headers = {
  'Authorization': 'Bearer sk_live_YOUR_KEY',
  'Content-Type': 'application/json'
}

response = requests.get(url, headers=headers).json()
print(response)

Response

Success response

{
  "jobs": [
    {
      "id": 1,
      "title": "Software Engineer",
      "company_id": 12345,
      "identifier": "302233483",
      "salary": "500000-800000 KZT",
      "industry": "Information technology",
      "company_url": "https://example.com",
      "job_type": "full-time",
      "work_schedule": "5/2",
      "experience": "3-5 years",
      "education": "higher",
      "start_date": "2024-01-15T00:00:00Z"
    }
  ],
  "total": 1,
  "pagination_total": 1,
  "pagination_offset": 0
}

Error Handling

Error response

{
  "status": 403,
  "message": "access denied"
}

This endpoint can also return {"status": 402, "message": "payment required"} when the subscription is canceled or expired, and {"status": 429, "message": "quota exhausted"} when the plan’s report quota for the current period is used up.